#ifndef COMMON_STUFF_H
#define COMMON_STUFF_H


// Common constants and stuff needed throughout Sparticles code


// Strings for credits in configuration view
#define CREDITS_TITLE "Sparticles"
#define CREDITS_VERSION "Version 0.51 -- 2002.10.07"
#define CREDITS_AUTHOR "Author: Jon Pimble -- fatrat@fat-rat.com"


// Time to wait between drawing frames of animation (in microseconds)
#define TICKS ((15.0/60.0)*100000.0)

// Constants to control spark behavior, etc.
#define MIN_SPARKS 2
#define MAX_SPARKS 512
#define DEFAULT_SPARKS 16

#define MIN_TRAIL_LENGTH 3
#define MAX_TRAIL_LENGTH 128
#define DEFAULT_TRAIL_LENGTH 24

#define MIN_GRAVITY -10.01
#define MAX_GRAVITY 5.01
#define DEFAULT_GRAVITY -3.0


#define MIN_TIMEOUT 500
#define MAX_TIMEOUT 2000

#define MIN_VELOCITY 1.0
#define MAX_VELOCITY 3.5

#define MIN_PULL (MIN_VELOCITY/100.0)

#define MIN_X_POS 0.0
#define MIN_Y_POS 0.0
#define MAX_X_POS 1000.0
#define MAX_Y_POS 1000.0

#define MAX_MASS 100.0

#endif
