#ifndef CONFIGVIEW_H
#define CONFIGVIEW_H


// ConfigView.h
// Interface for the ConfigView class - a custom BView to handle the controls
//  for the configuration menu in the screensaver


#include <stdio.h>
#include <Slider.h>
#include <CheckBox.h>
#include <StringView.h>

#include "Common_stuff.h"


class ConfigView : public BView
{
  private:
    BSlider *num_sparks_slider, *trail_length_slider, *gravity_slider;
    BCheckBox *blending_checkbox;
    BStringView *title_view, *version_view, *credits_view;  
    
    int32* num_sparks;
    int32* trail_length;
    float* gravity;
    bool* blending;
    
  public:
    // Constructor
    ConfigView(BRect frame, const char *name,
     int32* new_num_sparks, int32* new_trail_length, float* new_gravity,
     bool *new_blending);
    
    // Override these virtual functions inherited from BView
    void AttachedToWindow();
    void MessageReceived(BMessage *msg);
};



#endif


